=== debian/changelog ===
freetds (1.3.17+ds-2+deb13u1) trixie; urgency=medium

  * debian/patches: Add upstream patch to fix float -> uint conversion bounds
    check (Closes: #1104758)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Jul 2025 10:08:11 +0200

freetds (1.3.17+ds-2) unstable; urgency=medium

  * source-only upload to enable bookwork testing migration. 

 -- Joseph Nahmias <jello@debian.org>  Thu, 26 Jan 2023 19:59:14 -0500

freetds (1.3.17+ds-1) unstable; urgency=medium

  * [67ac20b] new maintainer.
    Thanks to Steve Langasek for all your work on this package!
  * [3f141a9] update Vcs headers to point to salsa repo in debian namespace
  * [6123606] use DEP-14 branch naming
  * [68f9eda] enable salsa-ci pipeline
  * [12dcee9] New upstream version 1.3.13
  * [4a2dcc9] drop conflicts/breaks/replaces on ancient packages
    these have not been seen since before jessie, released on 2015-04-26
  * [2ecf8b2] default yes to registering the odbc driver; add dep on odbcinst
  * [5f529a7] declare that we are using deb source format 3.0 (quilt)
  * [299a8b5] New upstream version 1.3.17
  * [7f4a341] interim changelog update
  * [52e3272] add back patch to drop AC_LTDL_DLLIB via quilt
  * [bf40df5] install freetds.conf(5)
  * [e6da50b] don't try to install freetds.conf.pl; it's no longer shipped
    by upstream
  * [5f615c3] drop obsolete version requirement for unixodbc-dev
  * [e062698] replace pkg-config with pkgconf
  * [835ad2b] build documentation and place it in new freetds-doc pkg
  * [d000ae1] mark *.la as deliberately not-installed
  * [ed09e5c] update lintian override to new syntax
  * [8e83767] repack upstream tarball to exclude generated documentation
  * [844d9c3] New upstream version 1.3.17+ds
  * [a63b976] add myself to debian/* copyright
  * [2486e5c] tell lintian that the TDS Protocol HTML is the source
  * [2214cb1] install TDS protocol docs in the freetds-doc pkg
  * [a7ec02f] per lintian, remove hotlink to w3c validation icon
  * [3ad1e59] update copyright info to be more complete
  * [d4db0aa] fix installation of {locales,pool}.conf examples

 -- Joseph Nahmias <jello@debian.org>  Wed, 25 Jan 2023 21:38:17 -0500

freetds (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Replace reference to obsolete AC_LTDL_DLLIB.  Closes: #1002140.
  * Drop unused build-dependency on libglib2.0-dev.  Closes: #981651.
  * Remove Adam from the uploaders list; RIP.  Closes: #986950.
  * Drop obsolete build-dependency on autotools-dev.
  * Upgrade to debhelper-compat (= 12).
  * Drop obsolete --parallel argument to dh.
  * Update Standards-Version.

 -- Steve Langasek <vorlon@debian.org>  Sat, 15 Jan 2022 06:24:24 +0000

freetds (1.2.3-1) unstable; urgency=medium

  * New upstream release.
    - documentation files renamed to .md.

 -- Steve Langasek <vorlon@debian.org>  Sat, 15 Aug 2020 05:12:32 +0000

freetds (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * tds: Make sure UDT has varint set to 8 (CVE-2019-13508) (Closes: #944012)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 Jan 2020 21:09:16 +0100

freetds (1.1.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes ppc64el compatibility.  LP: #1826851.
    - Update libsybdb5.symbols for new upstream.
  * Stop specifying 4.2 as the default protocol, now obsoleted upstream.
    Allow the upstream default instead of autodetecting the default TDS
    protocol version.

 -- Steve Langasek <vorlon@debian.org>  Thu, 02 May 2019 02:57:34 +0000

freetds (1.00.104-1) unstable; urgency=medium

  * New upstream release.

 -- Steve Langasek <vorlon@debian.org>  Thu, 18 Oct 2018 23:43:49 -0700

freetds (1.00.82-2) unstable; urgency=medium

  * Fix arch-any builds.  Closes: #890888.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Feb 2018 23:46:25 +0000

freetds (1.00.82-1) unstable; urgency=medium

  * Update Vcs-* fields.
  * Fix watch file.
  * New upstream release.  Closes: #803258, LP: #1679975.
    - Fixes login when using long (> 30 char) passwords.  Closes: #706388.
    - Fixes an intermittent connection failure to MSSQL.  LP: #1727572.
    - Fixes a crash when connecting to a non-TDS server.  LP: #1215336.
    - Update symbols files.
  * Update Standards-Version.
  * Update debian/copyright.
  * Fix upstream spelling; thanks, Lintian
  * Drop Conflicts against obsolete versions of unixodbc; lintian complains
    about versioned conflicts, the rationale is lost in the mists of time,
    and this is shadowed by an existing Breaks: against newer versions of
    unixodbc anyway.
  * Fix permissions on /usr/share/freetds/freetds.conf.
  * Fix wrong empty dirs in freetds-common.
  * Fix manpage warnings.
  * Add some lintian overrides.
  * Build-depend on pkg-config; upstream now uses PKG_PROG_PKG_CONFIG, so
    this is the only piece left to support cross-building.  Closes: #873712.
  * Bump debhelper compat to 10, and drop explicit dh-autoreconf dep since
    this is now automatic.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Feb 2018 04:38:05 +0000

freetds (0.91-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gnutls_priority_set_direct with a priority string of NORMAL:%COMPAT
    instead of deprecated gnutls_{cipher,kx,...}_set_priority functions. This
    uses the same priority string as 7ca9321ff440814581a8ec87984f7d76f8cc105e
    from upstream GIT, except for not disabling SSL3.0 since Debian's GnuTLS
    does not enable SSL3 by default. Closes: #782818

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jul 2015 18:06:25 +0200

freetds (0.91-6) unstable; urgency=low

  * Build against libgnutls28, now that license compatibility issues
    with GPLv2-only software have been resolved.  This includes patching
    the upstream source to not look for gcrypt, which is no longer needed.
    Thanks to Dimitri Ledkov <dimitri.ledkov@canonical.com> for the patch.
    Closes: #747449.

 -- Steve Langasek <vorlon@debian.org>  Thu, 08 May 2014 15:25:40 -0700


