=== debian/control ===
Source: freetds
Section: libs
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Standards-Version: 4.6.0
Homepage: http://www.freetds.org/
Vcs-Git: https://salsa.debian.org/debian/freetds.git
Vcs-Browser: https://salsa.debian.org/debian/freetds
Build-Depends: debhelper-compat (= 12),
	unixodbc-dev,
	libgnutls28-dev,
	libreadline-dev,
	libkrb5-dev,
	pkgconf,
Build-Depends-Indep:
	doxygen <!nodoc>,
	xmlto <!nodoc>,

Package: freetds-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration files for FreeTDS SQL client libraries
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package manages the configuration files that are common to all of
 the TDS client library implementations (CT-Lib, DB-Lib, and ODBC),
 stored in /etc/freetds/.

Package: libct4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, freetds-common, ${misc:Depends}
Description: libraries for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the shared libraries for the Sybase CT-Lib API.
 You will need this if you plan to connect to MS SQL or Sybase servers, or use
 the PHP sybase or Perl DBD::Sybase extensions.

Package: freetds-bin
Architecture: any
Section: database
Depends: ${shlibs:Depends}, freetds-common, ${misc:Depends}
Suggests: freetds-doc
Description: FreeTDS command-line utilities
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the command-line utilities shipped with FreeTDS.

Package: tdsodbc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, freetds-common, odbcinst, ${misc:Depends}
Recommends: libodbc1
Description: ODBC driver for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the ODBC driver for FreeTDS, for use with
 UnixODBC or iODBC.

Package: libsybdb5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, freetds-common, ${misc:Depends}
Description: libraries for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the shared libraries for the Sybase DB-Lib API.

Package: freetds-dev
Section: devel
Architecture: any
Depends: libct4 (= ${binary:Version}), libsybdb5 (= ${binary:Version}), ${misc:Depends}
Recommends: freetds-doc
Description: MS SQL and Sybase client library (static libs and headers)
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the static libraries and header files for TDS, which
 you will need to develop applications that connect to MS SQL servers.  You
 will also need this package if you are installing the Perl DBD::Sybase
 module on your system using CPAN.

Package: freetds-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: FreeTDS documentation
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the user guide as well as the library API reference
 manual.
