## freetds 1.5.2%2Bds

=== debian/tests/control ===
Tests: libtests
Depends:
 freetds-dev,
 gcc,
 libc6-dev | libc-dev,
