## freetds 1.5.2+ds

=== debian/changelog ===
freetds (1.5.2+ds-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds
  * drop patch merged upstream

 -- Joseph Nahmias <jello@debian.org>  Sun, 01 Jun 2025 08:08:41 -0400

freetds (1.5.1+ds-3) unstable; urgency=medium

  * add upstream patch to fix float -> uint conversion bounds check
    (Closes: #1104758)
  * clean up after running tests

 -- Joseph Nahmias <jello@debian.org>  Sat, 31 May 2025 23:05:21 -0400

freetds (1.5.1+ds-2) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1101118)

  [ Joseph Nahmias ]
  * bump Std-Ver; no changes
  * fix dep5 syntax error
  * remove outdated FSF address
  * fix reproducibility of documentation build.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1037269)
  * tdsodbc: change recommends from libodbc1 to libodbc2.
    Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> (Closes: #1025534)
  * d/clean: remove stray testing artifact (Closes: #1044723)
  * add Romanian debconf template translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1102144)
  * debhelper compat 12 -> 13
  * add copyright for new Catalan translation
  * add some simple autopkgtests
  * add missing libc6-dev dep for autopkgtest
  * fix dep5 copyright syntax for public domain files

 -- Joseph Nahmias <jello@debian.org>  Thu, 24 Apr 2025 23:24:21 -0400

freetds (1.5.1+ds-1) unstable; urgency=medium

  * New upstream version 1.4.14+ds
  * drop patch merged upstream
  * New upstream version 1.5+ds
  * update build/test recipe for v1.5
  * New upstream version 1.5.1+ds
  * skip network tests
  * enable build-any job in salsa-ci

 -- Joseph Nahmias <jello@debian.org>  Wed, 23 Apr 2025 07:18:20 -0400
