=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Joseph Nahmias <jello@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://www.freetds.org/
 Vcs-Git: https://salsa.debian.org/debian/freetds.git
 Vcs-Browser: https://salsa.debian.org/debian/freetds
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	unixodbc-dev,
 	libgnutls28-dev,
 	libreadline-dev,
@@ -56,7 +56,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, freetds-common, odbcinst, ${misc:Depends}
-Recommends: libodbc1
+Recommends: libodbc2
 Description: ODBC driver for connecting to MS SQL and Sybase SQL servers
  FreeTDS is an implementation of the Tabular DataStream protocol, used for
  connecting to MS SQL and Sybase servers over TCP/IP.
