## freetds 1.5.4+ds

=== debian/changelog ===
freetds (1.5.4+ds-1) unstable; urgency=medium

  * New upstream version 1.5.4+ds
  * mark autopkgtest as superficial
  * enable sending salsa-ci stats
  * do not fail the ci pipeline for reprotest - known issue with doxygen
  * enable nocheck and nodoc build profile jobs in salsa-ci
  * enable salsa ci arm64 crossbuild job
  * enable salsa ci job to build twice
  * enable generation of dbgsym packages on salsa ci
  * run wrap-and-sort -asbkt & configure salsa job accordingly

 -- Joseph Nahmias <jello@debian.org>  Mon, 18 Aug 2025 21:11:48 -0400
