## freetds 1.5.5%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
+cmake_minimum_required(VERSION 3.5)
+
 project(FreeTDS)
-
-cmake_minimum_required(VERSION 3.3)
 
 option(WITH_OPENSSL        "Link in OpenSSL if found" ON)
 option(ENABLE_ODBC_WIDE    "Enable ODBC wide character support" ON)
 option(ENABLE_KRB5         "Enable Kerberos support" OFF)
 option(ENABLE_ODBC_MARS    "Enable MARS" ON)
 option(ENABLE_EXTRA_CHECKS "Enable internal extra checks, DO NOT USE in production" OFF)
+option(ENABLE_MSDBLIB      "Enable MS style dblib" OFF)
 
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0003 NEW)
@@ -59,7 +60,7 @@
 # get build number from date
 # use same formula used in configure.ac
 unset(BUILD_NUMBER)
-string(TIMESTAMP BUILD_NUMBER "( %Y - 2021 ) * 366 + 1%j - 1000")
+string(TIMESTAMP BUILD_NUMBER "( %Y - 2025 ) * 366 + 1%j - 1000")
 math(EXPR BUILD_NUMBER "${BUILD_NUMBER}")
 
 set(FREETDS_TOPDIR ${CMAKE_CURRENT_LIST_DIR})
@@ -78,6 +79,7 @@
 include(CheckLibraryExists)
 include(CheckStructHasMember)
 include(CheckPrototypeDefinition)
+include(GNUInstallDirs)
 
 find_package(Perl)
 find_program(GPERF NAMES gperf)
@@ -87,6 +89,11 @@
 endmacro()
 
 file(WRITE "${CMAKE_BINARY_DIR}/include/config.h.in" "/* Automatic generated by cmake */\n\n#define _freetds_config_h_\n")
+
+if(NOT WIN32)
+	file(WRITE "${CMAKE_BINARY_DIR}/include/freetds/sysconfdir.h"
+		"#define FREETDS_SYSCONFDIR \"${CMAKE_INSTALL_FULL_SYSCONFDIR}\"\n")
+endif(NOT WIN32)
 
 foreach(fn
 	arpa/inet.h
@@ -157,6 +164,7 @@
 	check_function_exists_define(BIO_get_data)
 	check_function_exists_define(RSA_get0_key)
 	check_function_exists_define(ASN1_STRING_get0_data)
+	check_function_exists_define(SSL_set_alpn_protos)
 	set(CMAKE_REQUIRED_LIBRARIES)
 endif(OPENSSL_FOUND)
 
@@ -189,7 +197,7 @@
 add_header(HAVE_WINDOWS_H windows.h)
 add_header(HAVE_SQL_H sql.h)
 add_header(HAVE_SQLEXT_H sqlext.h)
-foreach(fn char double float int short long "long double" "long long" "SQLWCHAR" "void *" wchar_t __int64
+foreach(fn char double float int short long "long double" "long long" "SQLWCHAR" "void *" wchar_t __int64 __int128
 	  SQLLEN SQLROWOFFSET SQLROWSETSIZE SQLSETPOSIROW)
 	string(REGEX REPLACE "[/. ]" "_" var "${fn}")
 	string(REPLACE "*" "P" var "${var}")
@@ -263,7 +271,7 @@
 	getaddrinfo inet_ntop gethostname poll socketpair
 	clock_gettime fseeko pthread_cond_timedwait pthread_cond_timedwait_relative_np
 	pthread_condattr_setclock _lock_file _unlock_file usleep nanosleep
-	readdir_r eventfd daemon system)
+	readdir_r eventfd daemon system mallinfo mallinfo2 _heapwalk)
 
 # TODO
 set(HAVE_GETADDRINFO 1 CACHE INTERNAL "")
@@ -346,25 +354,23 @@
 	config_write("#cmakedefine ENABLE_${flag} 1\n\n")
 endforeach(flag)
 
+if (ENABLE_MSDBLIB)
+	set(dblib_define "#define MSDBLIB 1")
+else()
+	set(dblib_define "#define SYBDBLIB 1")
+endif()
+
 config_write("#define VERSION \"\\@VERSION\\@\"\n\n")
 
 config_write("#define FREETDS_TOPDIR \"${FREETDS_TOPDIR}\"\n\n")
 
 # TODO allow to configure default TDS protocol version
 
-config_write("#ifdef _MSC_VER
+config_write("#if defined(_MSC_VER) && !defined(__cplusplus)
 #  define inline __inline
+#endif
+#if defined(_MSC_VER)
 #  define _CRT_SECURE_NO_WARNINGS 1
 #endif\n\n")
 
 if(WIN32)
-	config_write("/* Define to 1 if you want to use SSPI for Win32 */\n#define HAVE_SSPI 1\n\n")
-	config_write("/* define to format string used for 64bit integers */\n#define TDS_I64_PREFIX \"I64\"\n\n")
-	config_write("/* Define to 1 if you have the SQLGetPrivateProfileString function. */\n#define HAVE_SQLGETPRIVATEPROFILESTRING 1\n\n")
-	if(MINGW)
-		config_write("#define _GNU_SOURCE 1\n\n")
-	endif(MINGW)
-
-else(WIN32)
-	# this section make just work on Linux, many definition are not checked
-	config_write("#define HAVE_FUNC_GETPWUID_R_5 1\n\n")
