=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,10 @@
 	threadsafe.c
 	bjoern-utf8.c
 	tdsstring.c
+	strndup.c
 	net.c
+	smp.c
+	path.c
 	${add_SRCS}
 )
 if (NOT WIN32)
