=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+ds" \
  ftp://ftp.freetds.org/pub/freetds/stable/freetds-([0-9].*)\.tar\.gz
